Package ghidra.trace.model.program

# Interface TraceProgramViewMemory

All Superinterfaces:
  `AddressSetView`, `Iterable<AddressRange>`, `Memory`

All Known Implementing Classes:
  `AbstractDBTraceProgramViewMemory`, `DBTraceProgramViewMemory`

public interface TraceProgramViewMemory extends Memory

- ## Field Summary

  ### Fields inherited from interface ghidra.program.model.mem.Memory

  `GBYTE, GBYTE_SHIFT_FACTOR, MAX_BINARY_SIZE, MAX_BINARY_SIZE_GB, MAX_BLOCK_SIZE, MAX_BLOCK_SIZE_GB`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceProgramView`
  `getProgram()`
  Returns the program that this memory belongs to.
  `long`
  `getSnap()`
  Get the snap this view presents
  `Trace`
  `getTrace()`
  Get the trace this view presents
  `boolean`
  `isForceFullView()`
  `void`
  `setForceFullView(boolean forceFullView)`

  ### Methods inherited from interface ghidra.program.model.address.AddressSetView

  `contains, contains, contains, findFirstAddressInCommon, getAddressCountBefore, getAddresses, getAddresses, getAddressRanges, getAddressRanges, getAddressRanges, getFirstRange, getLastRange, getMaxAddress, getMinAddress, getNumAddresses, getNumAddressRanges, getRangeContaining, hasSameAddresses, intersect, intersectRange, intersects, intersects, isEmpty, iterator, iterator, iterator, spliterator, spliterator, spliterator, stream, stream, stream, subtract, union, xor`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface ghidra.program.model.mem.Memory

  `convertToInitialized, convertToUninitialized, createBitMappedBlock, createBlock, createByteMappedBlock, createByteMappedBlock, createFileBytes, createInitializedBlock, createInitializedBlock, createInitializedBlock, createUninitializedBlock, deleteFileBytes, findBytes, findBytes, getAddressSourceInfo, getAllFileBytes, getAllInitializedAddressSet, getBlock, getBlock, getBlocks, getByte, getBytes, getBytes, getExecuteSet, getInitializedAddressSet, getInt, getInt, getInts, getInts, getInts, getLoadedAndInitializedAddressSet, getLong, getLong, getLongs, getLongs, getLongs, getShort, getShort, getShorts, getShorts, getShorts, getSize, isBigEndian, isExternalBlockAddress, join, locateAddressesForFileBytesOffset, locateAddressesForFileOffset, moveBlock, removeBlock, setByte, setBytes, setBytes, setInt, setInt, setLong, setLong, setShort, setShort, split`

- ## Method Details

  - ### getProgram

    TraceProgramView getProgram()
    Description copied from interface: `Memory`
    Returns the program that this memory belongs to.
    Specified by:
      `getProgram` in interface `Memory`
    Returns:
      the program that this memory belongs to

  - ### setForceFullView

    void setForceFullView(boolean forceFullView)

  - ### isForceFullView

    boolean isForceFullView()

  - ### getTrace

    Trace getTrace()
    Get the trace this view presents
    Returns:
      the trace

  - ### getSnap

    long getSnap()
    Get the snap this view presents
    Returns:
      the snap